#include <linux/version.h>

#include <linux/string.h>
#include <linux/errno.h>
#include <linux/module.h>

#include "nikal.h"

#ifdef nNIKAL100_kCopyrightString
   MODULE_LICENSE(nNIKAL100_kCopyrightString);
#endif

#ifdef nNIKAL100_kAuthorString
   MODULE_AUTHOR(nNIKAL100_kAuthorString);
#endif

#ifdef nNIKAL100_kDescriptionString
   MODULE_DESCRIPTION(nNIKAL100_kDescriptionString);
#endif


int nNIPAL100_ckalcbInitModule(void* modulePtr, const char* name);
void nNIPAL100_ckalcbCleanupModule(void* modulePtr);

int init_module(void)
{
   return nNIPAL100_ckalcbInitModule(THIS_MODULE,(THIS_MODULE)->name);
}

void cleanup_module(void)
{
   nNIPAL100_ckalcbCleanupModule(THIS_MODULE);
}


#define nNIKAL100_mExportSymbol EXPORT_SYMBOL
extern int _ZN10nNICDCC10027iWatchdogExpirationObserverD2Ev;
nNIKAL100_mExportSymbol(_ZN10nNICDCC10027iWatchdogExpirationObserverD2Ev);
extern int _ZN10nNICDCC10027iWatchdogExpirationObserverD1Ev;
nNIKAL100_mExportSymbol(_ZN10nNICDCC10027iWatchdogExpirationObserverD1Ev);
extern int _ZN10nNICDCC10027iWatchdogExpirationObserverD0Ev;
nNIKAL100_mExportSymbol(_ZN10nNICDCC10027iWatchdogExpirationObserverD0Ev);
extern int _ZN10nNICDCC10027iCDAQChassisWatchdogManagerD2Ev;
nNIKAL100_mExportSymbol(_ZN10nNICDCC10027iCDAQChassisWatchdogManagerD2Ev);
extern int _ZN10nNICDCC10027iCDAQChassisWatchdogManagerD1Ev;
nNIKAL100_mExportSymbol(_ZN10nNICDCC10027iCDAQChassisWatchdogManagerD1Ev);
extern int _ZN10nNICDCC10027iCDAQChassisWatchdogManagerD0Ev;
nNIKAL100_mExportSymbol(_ZN10nNICDCC10027iCDAQChassisWatchdogManagerD0Ev);
/* _ZN10nNICDCC10037tCDAQChassisWatchdogManagerSupervisor16___ORBGetTObjectEv=_95d3b6cd6405de4a00084f8114c926e2 */
extern int _95d3b6cd6405de4a00084f8114c926e2;
nNIKAL100_mExportSymbol(_95d3b6cd6405de4a00084f8114c926e2);
/* _ZN10nNICDCC10037tCDAQChassisWatchdogManagerSupervisor14staticGetClassERi=_a5419f4dd47403f4ac16ace593f24b15 */
extern int _a5419f4dd47403f4ac16ace593f24b15;
nNIKAL100_mExportSymbol(_a5419f4dd47403f4ac16ace593f24b15);
/* _ZNK10nNICDCC10037tCDAQChassisWatchdogManagerSupervisor8getClassERi=_f6da2a3520c09f56c9e97c68fd80825d */
extern int _f6da2a3520c09f56c9e97c68fd80825d;
nNIKAL100_mExportSymbol(_f6da2a3520c09f56c9e97c68fd80825d);
/* _ZN10nNICDCC10037tCDAQChassisWatchdogManagerSupervisor13___CPPKRLCastEPS0_PKPv=_413d509ab8c4faeee225ed41b0574c25 */
extern int _413d509ab8c4faeee225ed41b0574c25;
nNIKAL100_mExportSymbol(_413d509ab8c4faeee225ed41b0574c25);
/* _ZN10nNICDCC10037tCDAQChassisWatchdogManagerSupervisor20___CPPKRLDynamicCastEPKPv=_d75bd683c638dc25bd2bea84a000947b */
extern int _d75bd683c638dc25bd2bea84a000947b;
nNIKAL100_mExportSymbol(_d75bd683c638dc25bd2bea84a000947b);
/* _ZN10nNICDCC10037tCDAQChassisWatchdogManagerSupervisor13___CPPKRLCastEPKS0_PKPv=_011086f38ced718654ae487279443ab9 */
extern int _011086f38ced718654ae487279443ab9;
nNIKAL100_mExportSymbol(_011086f38ced718654ae487279443ab9);
/* _ZNK10nNICDCC10037tCDAQChassisWatchdogManagerSupervisor20___CPPKRLDynamicCastEPKPv=_0488fbdb4db8bc532ff748dc23e0b7fe */
extern int _0488fbdb4db8bc532ff748dc23e0b7fe;
nNIKAL100_mExportSymbol(_0488fbdb4db8bc532ff748dc23e0b7fe);
/* _ZN10nNICDCC10037tChassisDeviceResetSentinelSupervisor16___ORBGetTObjectEv=_f9bf317836004162c9361b46fa71bf20 */
extern int _f9bf317836004162c9361b46fa71bf20;
nNIKAL100_mExportSymbol(_f9bf317836004162c9361b46fa71bf20);
/* _ZN10nNICDCC10037tChassisDeviceResetSentinelSupervisor14staticGetClassERi=_ea6966b922a4e362e9b056cefc6c6114 */
extern int _ea6966b922a4e362e9b056cefc6c6114;
nNIKAL100_mExportSymbol(_ea6966b922a4e362e9b056cefc6c6114);
/* _ZNK10nNICDCC10037tChassisDeviceResetSentinelSupervisor8getClassERi=_b874fd4dc3c2c53ae68686286e24a2a6 */
extern int _b874fd4dc3c2c53ae68686286e24a2a6;
nNIKAL100_mExportSymbol(_b874fd4dc3c2c53ae68686286e24a2a6);
/* _ZN10nNICDCC10037tChassisDeviceResetSentinelSupervisor13___CPPKRLCastEPS0_PKPv=_94131af93899b7d809f8fd845006260c */
extern int _94131af93899b7d809f8fd845006260c;
nNIKAL100_mExportSymbol(_94131af93899b7d809f8fd845006260c);
/* _ZN10nNICDCC10037tChassisDeviceResetSentinelSupervisor20___CPPKRLDynamicCastEPKPv=_e94b35fbf6f0754e396f114a5f563be2 */
extern int _e94b35fbf6f0754e396f114a5f563be2;
nNIKAL100_mExportSymbol(_e94b35fbf6f0754e396f114a5f563be2);
/* _ZN10nNICDCC10037tChassisDeviceResetSentinelSupervisor13___CPPKRLCastEPKS0_PKPv=_be496bb3ab443e4c3b25f92b8de69b3c */
extern int _be496bb3ab443e4c3b25f92b8de69b3c;
nNIKAL100_mExportSymbol(_be496bb3ab443e4c3b25f92b8de69b3c);
/* _ZNK10nNICDCC10037tChassisDeviceResetSentinelSupervisor20___CPPKRLDynamicCastEPKPv=_f254e38e03af4984d3adabb9250dd7f5 */
extern int _f254e38e03af4984d3adabb9250dd7f5;
nNIKAL100_mExportSymbol(_f254e38e03af4984d3adabb9250dd7f5);
/* _ZN10nNICDCC10035tCDAQChassisWatchdogManagerPrimDataC2Ev=_ff000357528ccc1ae1a6e166086ba4ec */
extern int _ff000357528ccc1ae1a6e166086ba4ec;
nNIKAL100_mExportSymbol(_ff000357528ccc1ae1a6e166086ba4ec);
/* _ZN10nNICDCC10035tCDAQChassisWatchdogManagerPrimDataC1Ev=_86ebb01a9521e15ec3c48d8e7f96dce8 */
extern int _86ebb01a9521e15ec3c48d8e7f96dce8;
nNIKAL100_mExportSymbol(_86ebb01a9521e15ec3c48d8e7f96dce8);
/* _ZN10nNICDCC10035tCDAQChassisWatchdogManagerPrimDataC2ERKS0_=_23733ecba30f8e6042c1205fde48e470 */
extern int _23733ecba30f8e6042c1205fde48e470;
nNIKAL100_mExportSymbol(_23733ecba30f8e6042c1205fde48e470);
/* _ZN10nNICDCC10035tCDAQChassisWatchdogManagerPrimDataC1ERKS0_=_13ecc2744d930efc1d161974f825e9ff */
extern int _13ecc2744d930efc1d161974f825e9ff;
nNIKAL100_mExportSymbol(_13ecc2744d930efc1d161974f825e9ff);
/* _ZN10nNICDCC10035tCDAQChassisWatchdogManagerPrimDataaSERKS0_=_02d31a90aa80e26468ad929c3a034bba */
extern int _02d31a90aa80e26468ad929c3a034bba;
nNIKAL100_mExportSymbol(_02d31a90aa80e26468ad929c3a034bba);
/* _ZN10nNICDCC10035tCDAQChassisWatchdogManagerPrimDataD2Ev=_b35d11d07fd3308ddf206e7675a05bd0 */
extern int _b35d11d07fd3308ddf206e7675a05bd0;
nNIKAL100_mExportSymbol(_b35d11d07fd3308ddf206e7675a05bd0);
/* _ZN10nNICDCC10035tCDAQChassisWatchdogManagerPrimDataD1Ev=_2dbb279167cee8d7b3c04c5fc5b1ac18 */
extern int _2dbb279167cee8d7b3c04c5fc5b1ac18;
nNIKAL100_mExportSymbol(_2dbb279167cee8d7b3c04c5fc5b1ac18);
/* _ZNK10nNICDCC10035tCDAQChassisWatchdogManagerPrimDataeqERKS0_=_99338fab5b5ebfee7fb19d390e8a01ce */
extern int _99338fab5b5ebfee7fb19d390e8a01ce;
nNIKAL100_mExportSymbol(_99338fab5b5ebfee7fb19d390e8a01ce);
/* _ZNK10nNICDCC10035tCDAQChassisWatchdogManagerPrimDataneERKS0_=_a97fa505f149876fd5f349e4bb19af36 */
extern int _a97fa505f149876fd5f349e4bb19af36;
nNIKAL100_mExportSymbol(_a97fa505f149876fd5f349e4bb19af36);
/* _ZNK10nNICDCC10035tCDAQChassisWatchdogManagerPrimData11checkStatusERi=_3a460b9cc78a25853a37cee125a9e4c7 */
extern int _3a460b9cc78a25853a37cee125a9e4c7;
nNIKAL100_mExportSymbol(_3a460b9cc78a25853a37cee125a9e4c7);
/* _ZN10nNICDCC10035tCDAQChassisWatchdogManagerPrimData11deserializeERN9nNIORB10013iObjectReaderERi=_f94430b687985b1f414ee303a10fbd3b */
extern int _f94430b687985b1f414ee303a10fbd3b;
nNIKAL100_mExportSymbol(_f94430b687985b1f414ee303a10fbd3b);
/* _ZNK10nNICDCC10035tCDAQChassisWatchdogManagerPrimData9serializeERN9nNIORB10013iObjectWriterERi=_5880157257411cfe19466c76c6c42e2d */
extern int _5880157257411cfe19466c76c6c42e2d;
nNIKAL100_mExportSymbol(_5880157257411cfe19466c76c6c42e2d);
/* _ZNK10nNICDCC10035tCDAQChassisWatchdogManagerPrimData11checkStatusERN10nNIMDBG1008tStatus2E=_4fe7d9386f96eb8d293d143b9afbff4c */
extern int _4fe7d9386f96eb8d293d143b9afbff4c;
nNIKAL100_mExportSymbol(_4fe7d9386f96eb8d293d143b9afbff4c);
/* _ZNK10nNICDCC10038tCDAQChassisWatchdogManagerRuntimeDataeqERKS0_=_9889a82ecf2f7714c6e0db5ad70a7c6d */
extern int _9889a82ecf2f7714c6e0db5ad70a7c6d;
nNIKAL100_mExportSymbol(_9889a82ecf2f7714c6e0db5ad70a7c6d);
/* _ZNK10nNICDCC10038tCDAQChassisWatchdogManagerRuntimeDataneERKS0_=_d4db41861e6040a560e17042a8c41ddd */
extern int _d4db41861e6040a560e17042a8c41ddd;
nNIKAL100_mExportSymbol(_d4db41861e6040a560e17042a8c41ddd);
/* _ZNK10nNICDCC10038tCDAQChassisWatchdogManagerRuntimeData11checkStatusERi=_d47c3b44351e6c6b9289db350831f1c4 */
extern int _d47c3b44351e6c6b9289db350831f1c4;
nNIKAL100_mExportSymbol(_d47c3b44351e6c6b9289db350831f1c4);
/* _ZNK10nNICDCC10038tCDAQChassisWatchdogManagerRuntimeData11checkStatusERN10nNIMDBG1008tStatus2E=_79571d50f573fa800806c96dc0d69a74 */
extern int _79571d50f573fa800806c96dc0d69a74;
nNIKAL100_mExportSymbol(_79571d50f573fa800806c96dc0d69a74);
/* _ZN10nNICDCC10038tCDAQChassisWatchdogManagerRuntimeData11deserializeERN9nNIORB10013iObjectReaderERi=_59f6b9efe2cba20a624c1c8d1aa0ea0a */
extern int _59f6b9efe2cba20a624c1c8d1aa0ea0a;
nNIKAL100_mExportSymbol(_59f6b9efe2cba20a624c1c8d1aa0ea0a);
/* _ZNK10nNICDCC10038tCDAQChassisWatchdogManagerRuntimeData9serializeERN9nNIORB10013iObjectWriterERi=_f415ea6e4a8bf68a5387588f2a1e9ca3 */
extern int _f415ea6e4a8bf68a5387588f2a1e9ca3;
nNIKAL100_mExportSymbol(_f415ea6e4a8bf68a5387588f2a1e9ca3);
/* _ZN10nNICDCC10038tCDAQChassisWatchdogManagerRuntimeDataD1Ev=_201edc389ccc94ada67e916046edfa31 */
extern int _201edc389ccc94ada67e916046edfa31;
nNIKAL100_mExportSymbol(_201edc389ccc94ada67e916046edfa31);
/* _ZN10nNICDCC10038tCDAQChassisWatchdogManagerRuntimeDataD2Ev=_b9af09c9ec7d9005a0348c85ef3b764a */
extern int _b9af09c9ec7d9005a0348c85ef3b764a;
nNIKAL100_mExportSymbol(_b9af09c9ec7d9005a0348c85ef3b764a);
/* _ZN10nNICDCC10038tCDAQChassisWatchdogManagerRuntimeDataaSERKS0_=_edf949d2fca82cc55fdb31a60eef8f82 */
extern int _edf949d2fca82cc55fdb31a60eef8f82;
nNIKAL100_mExportSymbol(_edf949d2fca82cc55fdb31a60eef8f82);
/* _ZN10nNICDCC10038tCDAQChassisWatchdogManagerRuntimeDataC1Ev=_1a4abab81d50ae7983442a8d234ab82e */
extern int _1a4abab81d50ae7983442a8d234ab82e;
nNIKAL100_mExportSymbol(_1a4abab81d50ae7983442a8d234ab82e);
/* _ZN10nNICDCC10038tCDAQChassisWatchdogManagerRuntimeDataC1ERKS0_=_267f9243c295a51aa11add002bbae873 */
extern int _267f9243c295a51aa11add002bbae873;
nNIKAL100_mExportSymbol(_267f9243c295a51aa11add002bbae873);
/* _ZN10nNICDCC10038tCDAQChassisWatchdogManagerRuntimeDataC2Ev=_5a7c866dfea592c0e399f29e53559028 */
extern int _5a7c866dfea592c0e399f29e53559028;
nNIKAL100_mExportSymbol(_5a7c866dfea592c0e399f29e53559028);
/* _ZN10nNICDCC10038tCDAQChassisWatchdogManagerRuntimeDataC2ERKS0_=_b8126ebbab06b008604e0f905c366edf */
extern int _b8126ebbab06b008604e0f905c366edf;
nNIKAL100_mExportSymbol(_b8126ebbab06b008604e0f905c366edf);
/* _ZN10nNICDCC10035tCDAQChassisWatchdogManagerSettings16___ORBGetTObjectEv=_df95b8025a2545ec81b712b419707644 */
extern int _df95b8025a2545ec81b712b419707644;
nNIKAL100_mExportSymbol(_df95b8025a2545ec81b712b419707644);
/* _ZN10nNICDCC10035tCDAQChassisWatchdogManagerSettings14staticGetClassERi=_73f07ff83204e90049a1924505deb4e4 */
extern int _73f07ff83204e90049a1924505deb4e4;
nNIKAL100_mExportSymbol(_73f07ff83204e90049a1924505deb4e4);
/* _ZNK10nNICDCC10035tCDAQChassisWatchdogManagerSettings13writeExternalERN9nNIORB10013iObjectWriterERi=_f354b4fe4cd76d378288740d3ee4e943 */
extern int _f354b4fe4cd76d378288740d3ee4e943;
nNIKAL100_mExportSymbol(_f354b4fe4cd76d378288740d3ee4e943);
/* _ZN10nNICDCC10035tCDAQChassisWatchdogManagerSettings12readExternalERN9nNIORB10013iObjectReaderERi=_bd80535b854cf9f37d77bca8ee261342 */
extern int _bd80535b854cf9f37d77bca8ee261342;
nNIKAL100_mExportSymbol(_bd80535b854cf9f37d77bca8ee261342);
/* _ZN10nNICDCC10035tCDAQChassisWatchdogManagerSettingsD2Ev=_f54280138550deae5fef50771adf5628 */
extern int _f54280138550deae5fef50771adf5628;
nNIKAL100_mExportSymbol(_f54280138550deae5fef50771adf5628);
/* _ZN10nNICDCC10035tCDAQChassisWatchdogManagerSettingsD1Ev=_abbb000ff16f77b77b8e66e0d4174eda */
extern int _abbb000ff16f77b77b8e66e0d4174eda;
nNIKAL100_mExportSymbol(_abbb000ff16f77b77b8e66e0d4174eda);
/* _ZN10nNICDCC10035tCDAQChassisWatchdogManagerSettingsD0Ev=_8c8309aaea8e781666d833619268ea76 */
extern int _8c8309aaea8e781666d833619268ea76;
nNIKAL100_mExportSymbol(_8c8309aaea8e781666d833619268ea76);
/* _ZN10nNICDCC10035tCDAQChassisWatchdogManagerSettingsaSERKS0_=_a7b9c829760f9d49686a64dc447517a0 */
extern int _a7b9c829760f9d49686a64dc447517a0;
nNIKAL100_mExportSymbol(_a7b9c829760f9d49686a64dc447517a0);
/* _ZNK10nNICDCC10035tCDAQChassisWatchdogManagerSettings5cloneERi=_38bebd2e35a5e3f9e62c453a53c30efc */
extern int _38bebd2e35a5e3f9e62c453a53c30efc;
nNIKAL100_mExportSymbol(_38bebd2e35a5e3f9e62c453a53c30efc);
/* _ZN10nNICDCC10035tCDAQChassisWatchdogManagerSettingsC1ERKS0_=_4f4116f57fc2735b53271b9050fe238f */
extern int _4f4116f57fc2735b53271b9050fe238f;
nNIKAL100_mExportSymbol(_4f4116f57fc2735b53271b9050fe238f);
/* _ZN10nNICDCC10035tCDAQChassisWatchdogManagerSettingsC2ERKS0_=_98ddebdad78fa7d8d4e2721e6b379525 */
extern int _98ddebdad78fa7d8d4e2721e6b379525;
nNIKAL100_mExportSymbol(_98ddebdad78fa7d8d4e2721e6b379525);
/* _ZN10nNICDCC10035tCDAQChassisWatchdogManagerSettingsC1Ev=_63b634bb4fb3de826d992862d9273818 */
extern int _63b634bb4fb3de826d992862d9273818;
nNIKAL100_mExportSymbol(_63b634bb4fb3de826d992862d9273818);
/* _ZN10nNICDCC10035tCDAQChassisWatchdogManagerSettingsC2Ev=_d27497fa038ac05851ffaf723109a313 */
extern int _d27497fa038ac05851ffaf723109a313;
nNIKAL100_mExportSymbol(_d27497fa038ac05851ffaf723109a313);
/* _ZNK10nNICDCC10035tCDAQChassisWatchdogManagerSettings8getClassERi=_687e62d843baa769b9f875aba66c1b56 */
extern int _687e62d843baa769b9f875aba66c1b56;
nNIKAL100_mExportSymbol(_687e62d843baa769b9f875aba66c1b56);
/* _ZN10nNICDCC10035tCDAQChassisWatchdogManagerSettings13___CPPKRLCastEPS0_PKPv=_34f6f2b7bcdfd5454f7a702991137721 */
extern int _34f6f2b7bcdfd5454f7a702991137721;
nNIKAL100_mExportSymbol(_34f6f2b7bcdfd5454f7a702991137721);
/* _ZN10nNICDCC10035tCDAQChassisWatchdogManagerSettings20___CPPKRLDynamicCastEPKPv=_3f9c14d977b843ca588100dabdbd3f31 */
extern int _3f9c14d977b843ca588100dabdbd3f31;
nNIKAL100_mExportSymbol(_3f9c14d977b843ca588100dabdbd3f31);
/* _ZN10nNICDCC10035tCDAQChassisWatchdogManagerSettings13___CPPKRLCastEPKS0_PKPv=_1dc175be9abbeeab5e07c573cb054ebd */
extern int _1dc175be9abbeeab5e07c573cb054ebd;
nNIKAL100_mExportSymbol(_1dc175be9abbeeab5e07c573cb054ebd);
/* _ZNK10nNICDCC10035tCDAQChassisWatchdogManagerSettings20___CPPKRLDynamicCastEPKPv=_824423f5c470e0f4b31b9bc7db7183b2 */
extern int _824423f5c470e0f4b31b9bc7db7183b2;
nNIKAL100_mExportSymbol(_824423f5c470e0f4b31b9bc7db7183b2);
/* _ZNK10nNICDCC10038tChassisDeviceResetSentinelRuntimeDataeqERKS0_=_14faad02d098a55b552299aff35ac189 */
extern int _14faad02d098a55b552299aff35ac189;
nNIKAL100_mExportSymbol(_14faad02d098a55b552299aff35ac189);
/* _ZNK10nNICDCC10038tChassisDeviceResetSentinelRuntimeDataneERKS0_=_2ec6b518aad3282fc542a0331e79ab31 */
extern int _2ec6b518aad3282fc542a0331e79ab31;
nNIKAL100_mExportSymbol(_2ec6b518aad3282fc542a0331e79ab31);
/* _ZNK10nNICDCC10038tChassisDeviceResetSentinelRuntimeData11checkStatusERi=_9e10fc757f0ba1c468f563c1eb825c1e */
extern int _9e10fc757f0ba1c468f563c1eb825c1e;
nNIKAL100_mExportSymbol(_9e10fc757f0ba1c468f563c1eb825c1e);
/* _ZNK10nNICDCC10038tChassisDeviceResetSentinelRuntimeData11checkStatusERN10nNIMDBG1008tStatus2E=_c33316c868a9e57733008e0eab7db44e */
extern int _c33316c868a9e57733008e0eab7db44e;
nNIKAL100_mExportSymbol(_c33316c868a9e57733008e0eab7db44e);
/* _ZN10nNICDCC10038tChassisDeviceResetSentinelRuntimeData11deserializeERN9nNIORB10013iObjectReaderERi=_fa522d5838266c90529c5ef04e8ad431 */
extern int _fa522d5838266c90529c5ef04e8ad431;
nNIKAL100_mExportSymbol(_fa522d5838266c90529c5ef04e8ad431);
/* _ZNK10nNICDCC10038tChassisDeviceResetSentinelRuntimeData9serializeERN9nNIORB10013iObjectWriterERi=_0338d24ed1af6e14f395705ce39d385b */
extern int _0338d24ed1af6e14f395705ce39d385b;
nNIKAL100_mExportSymbol(_0338d24ed1af6e14f395705ce39d385b);
/* _ZN10nNICDCC10038tChassisDeviceResetSentinelRuntimeDataD1Ev=_e71abe358866e33effb55e576f009f45 */
extern int _e71abe358866e33effb55e576f009f45;
nNIKAL100_mExportSymbol(_e71abe358866e33effb55e576f009f45);
/* _ZN10nNICDCC10038tChassisDeviceResetSentinelRuntimeDataD2Ev=_c96e046afc513e6155c44187e1f32a08 */
extern int _c96e046afc513e6155c44187e1f32a08;
nNIKAL100_mExportSymbol(_c96e046afc513e6155c44187e1f32a08);
/* _ZN10nNICDCC10038tChassisDeviceResetSentinelRuntimeDataaSERKS0_=_4cbb2fd1e3723d45aac95e3dd09cfdb0 */
extern int _4cbb2fd1e3723d45aac95e3dd09cfdb0;
nNIKAL100_mExportSymbol(_4cbb2fd1e3723d45aac95e3dd09cfdb0);
/* _ZN10nNICDCC10038tChassisDeviceResetSentinelRuntimeDataC1Ev=_c81463bf2f24c173786364b09e9c64b8 */
extern int _c81463bf2f24c173786364b09e9c64b8;
nNIKAL100_mExportSymbol(_c81463bf2f24c173786364b09e9c64b8);
/* _ZN10nNICDCC10038tChassisDeviceResetSentinelRuntimeDataC1ERKS0_=_8beda89fbdefee39365dae532cff6dda */
extern int _8beda89fbdefee39365dae532cff6dda;
nNIKAL100_mExportSymbol(_8beda89fbdefee39365dae532cff6dda);
/* _ZN10nNICDCC10038tChassisDeviceResetSentinelRuntimeDataC2Ev=_d4831ecede404729eb343fe1609bc142 */
extern int _d4831ecede404729eb343fe1609bc142;
nNIKAL100_mExportSymbol(_d4831ecede404729eb343fe1609bc142);
/* _ZN10nNICDCC10038tChassisDeviceResetSentinelRuntimeDataC2ERKS0_=_afd0277317885f0f238b67514f6fbcce */
extern int _afd0277317885f0f238b67514f6fbcce;
nNIKAL100_mExportSymbol(_afd0277317885f0f238b67514f6fbcce);
/* _ZN10nNICDCC10035tChassisDeviceResetSentinelSettings16___ORBGetTObjectEv=_94480cf3739a30320ce5a17fc70dbef5 */
extern int _94480cf3739a30320ce5a17fc70dbef5;
nNIKAL100_mExportSymbol(_94480cf3739a30320ce5a17fc70dbef5);
/* _ZN10nNICDCC10035tChassisDeviceResetSentinelSettings14staticGetClassERi=_f98045e5ae5c544fd7ffd3d2a00380c1 */
extern int _f98045e5ae5c544fd7ffd3d2a00380c1;
nNIKAL100_mExportSymbol(_f98045e5ae5c544fd7ffd3d2a00380c1);
/* _ZNK10nNICDCC10035tChassisDeviceResetSentinelSettings13writeExternalERN9nNIORB10013iObjectWriterERi=_aa8d7706a538a46716d58b363058bb9b */
extern int _aa8d7706a538a46716d58b363058bb9b;
nNIKAL100_mExportSymbol(_aa8d7706a538a46716d58b363058bb9b);
/* _ZN10nNICDCC10035tChassisDeviceResetSentinelSettings12readExternalERN9nNIORB10013iObjectReaderERi=_2f39daaff9f8c8a48079b069816a81ea */
extern int _2f39daaff9f8c8a48079b069816a81ea;
nNIKAL100_mExportSymbol(_2f39daaff9f8c8a48079b069816a81ea);
/* _ZN10nNICDCC10035tChassisDeviceResetSentinelSettingsD2Ev=_40f2fc99ba492f73782cd10643d7879a */
extern int _40f2fc99ba492f73782cd10643d7879a;
nNIKAL100_mExportSymbol(_40f2fc99ba492f73782cd10643d7879a);
/* _ZN10nNICDCC10035tChassisDeviceResetSentinelSettingsD1Ev=_a10b039eabd95addb51e1c5767f6d303 */
extern int _a10b039eabd95addb51e1c5767f6d303;
nNIKAL100_mExportSymbol(_a10b039eabd95addb51e1c5767f6d303);
/* _ZN10nNICDCC10035tChassisDeviceResetSentinelSettingsD0Ev=_f46afab82d93e4865d9430ffac729906 */
extern int _f46afab82d93e4865d9430ffac729906;
nNIKAL100_mExportSymbol(_f46afab82d93e4865d9430ffac729906);
/* _ZN10nNICDCC10035tChassisDeviceResetSentinelSettingsaSERKS0_=_1b6762335f9cbe1595807d6a06557963 */
extern int _1b6762335f9cbe1595807d6a06557963;
nNIKAL100_mExportSymbol(_1b6762335f9cbe1595807d6a06557963);
/* _ZNK10nNICDCC10035tChassisDeviceResetSentinelSettings5cloneERi=_115c0817b42dd43896ebe76169ddee80 */
extern int _115c0817b42dd43896ebe76169ddee80;
nNIKAL100_mExportSymbol(_115c0817b42dd43896ebe76169ddee80);
/* _ZN10nNICDCC10035tChassisDeviceResetSentinelSettingsC1ERKS0_=_8266c481e0d5321dd861af4bf6db6530 */
extern int _8266c481e0d5321dd861af4bf6db6530;
nNIKAL100_mExportSymbol(_8266c481e0d5321dd861af4bf6db6530);
/* _ZN10nNICDCC10035tChassisDeviceResetSentinelSettingsC2ERKS0_=_99aab0bb08363b8d7911d63319b3f95a */
extern int _99aab0bb08363b8d7911d63319b3f95a;
nNIKAL100_mExportSymbol(_99aab0bb08363b8d7911d63319b3f95a);
/* _ZN10nNICDCC10035tChassisDeviceResetSentinelSettingsC1Ev=_249153d0c516fe2560836e949415e349 */
extern int _249153d0c516fe2560836e949415e349;
nNIKAL100_mExportSymbol(_249153d0c516fe2560836e949415e349);
/* _ZN10nNICDCC10035tChassisDeviceResetSentinelSettingsC2Ev=_479672331b7f557201de7ec4caf41dba */
extern int _479672331b7f557201de7ec4caf41dba;
nNIKAL100_mExportSymbol(_479672331b7f557201de7ec4caf41dba);
/* _ZNK10nNICDCC10035tChassisDeviceResetSentinelSettings8getClassERi=_136c6e29e4a65ced104b274c3ad74958 */
extern int _136c6e29e4a65ced104b274c3ad74958;
nNIKAL100_mExportSymbol(_136c6e29e4a65ced104b274c3ad74958);
/* _ZN10nNICDCC10035tChassisDeviceResetSentinelSettings13___CPPKRLCastEPS0_PKPv=_4abb33cde6b77da1a3272066269bfa72 */
extern int _4abb33cde6b77da1a3272066269bfa72;
nNIKAL100_mExportSymbol(_4abb33cde6b77da1a3272066269bfa72);
/* _ZN10nNICDCC10035tChassisDeviceResetSentinelSettings20___CPPKRLDynamicCastEPKPv=_75207a2e8245e79b405fc5f9c12026db */
extern int _75207a2e8245e79b405fc5f9c12026db;
nNIKAL100_mExportSymbol(_75207a2e8245e79b405fc5f9c12026db);
/* _ZN10nNICDCC10035tChassisDeviceResetSentinelSettings13___CPPKRLCastEPKS0_PKPv=_b0c7290d7e5cd4b66a971faa06615ebb */
extern int _b0c7290d7e5cd4b66a971faa06615ebb;
nNIKAL100_mExportSymbol(_b0c7290d7e5cd4b66a971faa06615ebb);
/* _ZNK10nNICDCC10035tChassisDeviceResetSentinelSettings20___CPPKRLDynamicCastEPKPv=_4cc57a5e084e70469ce2d158cb7befd0 */
extern int _4cc57a5e084e70469ce2d158cb7befd0;
nNIKAL100_mExportSymbol(_4cc57a5e084e70469ce2d158cb7befd0);
extern int _ZN10nNICDCC10017getCurrentVersionERi;
nNIKAL100_mExportSymbol(_ZN10nNICDCC10017getCurrentVersionERi);
extern int _ZN10nNICDCC10026getOldestCompatibleVersionERi;
nNIKAL100_mExportSymbol(_ZN10nNICDCC10026getOldestCompatibleVersionERi);
extern int _ZN10nNICDCC10014compareVersionERK10tSSVersionS2_RiPKc;
nNIKAL100_mExportSymbol(_ZN10nNICDCC10014compareVersionERK10tSSVersionS2_RiPKc);
/* _ZN10nNICDCC10037tCDAQChassisWatchdogManagerSupervisor10___classIDE=_bede27da3404821308267c56fd918d8d */
extern int _bede27da3404821308267c56fd918d8d;
nNIKAL100_mExportSymbol(_bede27da3404821308267c56fd918d8d);
/* _ZN10nNICDCC10037tChassisDeviceResetSentinelSupervisor10___classIDE=_e2475532000248c769acb78efdba1f53 */
extern int _e2475532000248c769acb78efdba1f53;
nNIKAL100_mExportSymbol(_e2475532000248c769acb78efdba1f53);
/* _ZN10nNICDCC10039tCDAQChassisWatchdogManagerResourcePoolIPNS_27iCDAQChassisWatchdogManagerEE10___classIDE=_7fcda29a5adb04f7fec8cf5d91a7e44d */
extern int _7fcda29a5adb04f7fec8cf5d91a7e44d;
nNIKAL100_mExportSymbol(_7fcda29a5adb04f7fec8cf5d91a7e44d);
/* _ZN10nNICDCC10035tCDAQChassisWatchdogManagerSettings10___classIDE=_511c25b5a4374aa81ef41a3c5f7382ce */
extern int _511c25b5a4374aa81ef41a3c5f7382ce;
nNIKAL100_mExportSymbol(_511c25b5a4374aa81ef41a3c5f7382ce);
/* _ZN10nNICDCC10035tChassisDeviceResetSentinelSettings10___classIDE=_48492ec0f3b9a72c1aa8d3a82fef6cf0 */
extern int _48492ec0f3b9a72c1aa8d3a82fef6cf0;
nNIKAL100_mExportSymbol(_48492ec0f3b9a72c1aa8d3a82fef6cf0);
/* _ZN10nNICDCC10046kChassisDeviceResetSentinelSupervisorClassNameE=_89ad1b053a4c9ffb55674c2f8760b1ff */
extern int _89ad1b053a4c9ffb55674c2f8760b1ff;
nNIKAL100_mExportSymbol(_89ad1b053a4c9ffb55674c2f8760b1ff);
/* _ZN10nNICDCC10041kCDAQChassisWatchdogManagerPoolIdentifierE=_e694b9b5249b7b2a356682eb989492a4 */
extern int _e694b9b5249b7b2a356682eb989492a4;
nNIKAL100_mExportSymbol(_e694b9b5249b7b2a356682eb989492a4);
extern int _ZN10nNICDCC10037kCDAQChassisWatchdogManagerSupervisorE;
nNIKAL100_mExportSymbol(_ZN10nNICDCC10037kCDAQChassisWatchdogManagerSupervisorE);
/* _ZTv0_n24_N10nNICDCC10037tCDAQChassisWatchdogManagerSupervisor20___CPPKRLDynamicCastEPKPv=_d03b2ade1d389bfd322baecd5e621188 */
extern int _d03b2ade1d389bfd322baecd5e621188;
nNIKAL100_mExportSymbol(_d03b2ade1d389bfd322baecd5e621188);
/* _ZTv0_n32_N10nNICDCC10037tCDAQChassisWatchdogManagerSupervisor20___CPPKRLDynamicCastEPKPv=_4aa3bc1deb472b184e256bced6e02fb0 */
extern int _4aa3bc1deb472b184e256bced6e02fb0;
nNIKAL100_mExportSymbol(_4aa3bc1deb472b184e256bced6e02fb0);
/* _ZTv0_n32_NK10nNICDCC10037tCDAQChassisWatchdogManagerSupervisor20___CPPKRLDynamicCastEPKPv=_4489cc9ab2c045c2036e0b64768cb48a */
extern int _4489cc9ab2c045c2036e0b64768cb48a;
nNIKAL100_mExportSymbol(_4489cc9ab2c045c2036e0b64768cb48a);
/* _ZTv0_n40_NK10nNICDCC10037tCDAQChassisWatchdogManagerSupervisor20___CPPKRLDynamicCastEPKPv=_a746b73762272f09ce654f7b9239494d */
extern int _a746b73762272f09ce654f7b9239494d;
nNIKAL100_mExportSymbol(_a746b73762272f09ce654f7b9239494d);
/* _ZTv0_n24_N10nNICDCC10037tChassisDeviceResetSentinelSupervisor20___CPPKRLDynamicCastEPKPv=_147ada8d9d81e3a6ffb7b9c68e1b99ed */
extern int _147ada8d9d81e3a6ffb7b9c68e1b99ed;
nNIKAL100_mExportSymbol(_147ada8d9d81e3a6ffb7b9c68e1b99ed);
/* _ZTv0_n32_NK10nNICDCC10037tChassisDeviceResetSentinelSupervisor20___CPPKRLDynamicCastEPKPv=_e7c7c096deb10bf3121f93ce7a10dfaa */
extern int _e7c7c096deb10bf3121f93ce7a10dfaa;
nNIKAL100_mExportSymbol(_e7c7c096deb10bf3121f93ce7a10dfaa);
/* _ZTv0_n24_N10nNICDCC10035tCDAQChassisWatchdogManagerSettings20___CPPKRLDynamicCastEPKPv=_3809bbb4dc0234133aa0040c9451d77a */
extern int _3809bbb4dc0234133aa0040c9451d77a;
nNIKAL100_mExportSymbol(_3809bbb4dc0234133aa0040c9451d77a);
/* _ZTv0_n32_N10nNICDCC10035tCDAQChassisWatchdogManagerSettings20___CPPKRLDynamicCastEPKPv=_5bb555d8ea5c0d5a8db066a945b3e7fd */
extern int _5bb555d8ea5c0d5a8db066a945b3e7fd;
nNIKAL100_mExportSymbol(_5bb555d8ea5c0d5a8db066a945b3e7fd);
/* _ZTv0_n32_NK10nNICDCC10035tCDAQChassisWatchdogManagerSettings20___CPPKRLDynamicCastEPKPv=_907131c07545ba46827aa5fb0784b0dc */
extern int _907131c07545ba46827aa5fb0784b0dc;
nNIKAL100_mExportSymbol(_907131c07545ba46827aa5fb0784b0dc);
/* _ZTv0_n40_NK10nNICDCC10035tCDAQChassisWatchdogManagerSettings20___CPPKRLDynamicCastEPKPv=_e166956d3fce3d9dd10b260a0d23c651 */
extern int _e166956d3fce3d9dd10b260a0d23c651;
nNIKAL100_mExportSymbol(_e166956d3fce3d9dd10b260a0d23c651);
/* _ZTv0_n24_N10nNICDCC10035tChassisDeviceResetSentinelSettings20___CPPKRLDynamicCastEPKPv=_d12ff28160ae0e80087b7465d8238887 */
extern int _d12ff28160ae0e80087b7465d8238887;
nNIKAL100_mExportSymbol(_d12ff28160ae0e80087b7465d8238887);
/* _ZTv0_n32_N10nNICDCC10035tChassisDeviceResetSentinelSettings20___CPPKRLDynamicCastEPKPv=_fb277ca76313e49c2d74baee82d6d477 */
extern int _fb277ca76313e49c2d74baee82d6d477;
nNIKAL100_mExportSymbol(_fb277ca76313e49c2d74baee82d6d477);
/* _ZTv0_n32_NK10nNICDCC10035tChassisDeviceResetSentinelSettings20___CPPKRLDynamicCastEPKPv=_0525e842c07f2acbb133340377a3500f */
extern int _0525e842c07f2acbb133340377a3500f;
nNIKAL100_mExportSymbol(_0525e842c07f2acbb133340377a3500f);
/* _ZTv0_n40_NK10nNICDCC10035tChassisDeviceResetSentinelSettings20___CPPKRLDynamicCastEPKPv=_a7df3ba1ecb28b84f7ff58e01ce09453 */
extern int _a7df3ba1ecb28b84f7ff58e01ce09453;
nNIKAL100_mExportSymbol(_a7df3ba1ecb28b84f7ff58e01ce09453);
